plugins {
    kotlin("jvm") version "2.0.0"
    application
    distribution
}

application {
    mainClass.set("xyz.maxwellj.mapm.MainKt")
    layout.buildDirectory.dir("distributions/")
}

group = "xyz.maxwellj.mapm"
version = "0.0.3"

repositories {
    mavenCentral()
}

tasks.withType<Jar> {
    manifest {
        attributes["Main-Class"] = "xyz.maxwellj.mapm.MainKt"
    }
}

dependencies {
    testImplementation(kotlin("test"))
    implementation("com.github.kittinunf.fuel:fuel:3.0.0-alpha03")
    implementation("org.apache.commons:commons-compress:1.21")
    implementation("org.tukaani:xz:1.9")
}

tasks.test {
    useJUnitPlatform()
}
kotlin {
    jvmToolchain(17)
}
